import { expect, test } from "bun:test"

import { manageCIMonitorReq } from "../routes/ci"
import netTool from "../service/netTool"

test("manageCIMonitorReq", async () => {
  const req = new Request(
    "https://ci-monitor.xiaomiwh.cn/gitlab/ci?chat_id=oc_8c789ce8f4ecc6695bb63ca6ec4c61ea"
  )
  const res = await manageCIMonitorReq(req)
  expect(res).toEqual(netTool.ok("reporting..."))
})
